# $Id: attendee.rb,v 1.4 2004/11/04 22:01:37 ianmacd Exp $

class Attendee

  attr_accessor :mailto
  attr_accessor :cn
  attr_accessor :partstat
  attr_accessor :role
  attr_accessor :cutype

  def inspect
    "Attendee:\n" +
    "\tmailto=#{@mailto}\n" +
    "\tcn=#{@cn}\n" +
    "\tpartstat=#{@partstat}\n" +
    "\trole=#{@role}\n" +
    "\tcutype=#{cutype}\n"
  end

  #
  # Parses an attendee out from the iCalendar param_hash and value
  #
  def Attendee.parse_attendee(param_hash, value)
    attendee = Attendee.new

    attendee.mailto = value.sub(/^mailto:/i, "")
    attendee.cn = param_hash["CN"]
    attendee.partstat = param_hash["PARTSTAT"]
    attendee.role = param_hash["ROLE"]
    attendee.cutype = param_hash["CUTYPE"]

    return attendee
  end
end
